<template>
  <q-card inline
          class="playlist"
          @click.native="$emit('click')"
  >
    <q-card-media>
      <img :src="picture">
      <q-card-title slot="overlay">
        {{application.name}}
        <!--<span slot="subtitle">Subtitle</span>-->
      </q-card-title>
    </q-card-media>
  </q-card>
</template>

<script>
export default {
  name: 'ApplicationCard',
  props: ['application'],
  computed: {
    picture () {
      if (this.application.picture) {
        return this.application.picture
      }
      return '../assets/application.png'
    }
  }
}
</script>
